calcIntegralScore_cpp {BuyseTest} | R Documentation

## C++ Function Computing the Integral Terms for the Peron Method.

### Description

Compute the integral with respect to the jump in survival for pairs where both outcomes are censored.

### Usage

    calcIntegralScore_cpp(survival, start, lastSurv, lastdSurv)

### Arguments

`survival` | [matrix] Contains the jump times in the first column, the survival in the other arm at times plus threshold in the second column, and the jump in survival in the third column.
`start` | [numeric] Time at which to start the integral.
`lastSurv` | [numeric,>0] last survival value for the survival function in the second column.
`lastdSurv` | [numeric,>0] last survival value for the survival function in the third column.

[Package BuyseTest version 1.7 Index]